package eventmodels

type EventBasic struct {
	ServerId  string `json:"serverId"`  // 服务id或者nodeid
	IsSuccess bool   `json:"is_uccess"` // 事件结果
	CreateAt  int64  `json:"create_at"` // 事件创建时间戳
}

type UserBasic struct {
	UserId            string `json:"user_id"`              // 用户id
	UserName          string `json:"user_name"`            // 用户昵称
	TgId              string `json:"tg_id"`                // 绑定tgid
	XId               string `json:"x_id"`                 // 绑定推特ID
	ParentUserId      string `json:"parent_user_id"`       // 上级用户id
	IsRobot           bool   `json:"is_robot"`             // 是否为机器人
	PointsRankSeq     int64  `json:"points_rank_seq"`      // 积分排名
	ThrowDiceRankSeq  int64  `json:"throw_dice_rank_seq"`  // 投掷骰子次数排名
	InviteUserRankSeq int64  `json:"invite_user_rank_seq"` // 邀请人数排名
}
